[arch-commits] Commit in dqlite/repos/community-x86_64 (PKGBUILD PKGBUILD)

Morten Linderud foxboron at archlinux.org
Thu Apr 16 21:18:31 UTC 2020


    Date: Thursday, April 16, 2020 @ 21:18:31
  Author: foxboron
Revision: 615379

archrelease: copy trunk to community-x86_64

Added:
  dqlite/repos/community-x86_64/PKGBUILD
    (from rev 615378, dqlite/trunk/PKGBUILD)
Deleted:
  dqlite/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   64 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-16 21:18:23 UTC (rev 615378)
+++ PKGBUILD	2020-04-16 21:18:31 UTC (rev 615379)
@@ -1,32 +0,0 @@
-# Maintainer: Morten Linderud <foxboron at archlinux.org>
-# Contributor: Thomas Hipp <thomashipp at gmail dot com>
-
-pkgname=dqlite
-pkgver=1.4.0
-pkgrel=1
-pkgdesc="Distributed SQLite"
-arch=('x86_64')
-url="https://github.com/CanonicalLtd/dqlite"
-license=('LGPL3')
-depends=('libuv' 'raft' 'libco' 'sqlite-replication')
-makedepends=('tcl' 'readline' 'zlib')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
-sha256sums=('83ee490a1e7da71b0e5f68c67a24c6ff42278860a01d3a963c95506ce1e404b1')
-
-build() {
-	cd "$pkgname-$pkgver"
-	autoreconf -i 
-	PKG_CONFIG_PATH="/usr/lib/sqlite-replication/pkgconfig" ./configure --prefix=/usr
-	make LDFLAGS="-L/usr/lib/sqlite-replication -Wl,-R/usr/lib/sqlite-replication"
-}
-
-check() {
-	cd "$pkgname-$pkgver"
-	make LDFLAGS="-L/usr/lib/sqlite-replication -Wl,-R/usr/lib/sqlite-replication" check || true
-}
-
-package() {
-	cd "$pkgname-$pkgver"
-	make DESTDIR="$pkgdir/" install
-	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}

Copied: dqlite/repos/community-x86_64/PKGBUILD (from rev 615378, dqlite/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-16 21:18:31 UTC (rev 615379)
@@ -0,0 +1,32 @@
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: Thomas Hipp <thomashipp at gmail dot com>
+
+pkgname=dqlite
+pkgver=1.4.1
+pkgrel=1
+pkgdesc="Distributed SQLite"
+arch=('x86_64')
+url="https://github.com/CanonicalLtd/dqlite"
+license=('LGPL3')
+depends=('libuv' 'raft' 'libco' 'sqlite-replication')
+makedepends=('tcl' 'readline' 'zlib')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('5b966a17700d3ce8714adf666c7f881e947a840189d37e7970fe9132b34e2940')
+
+build() {
+	cd "$pkgname-$pkgver"
+	autoreconf -i 
+	PKG_CONFIG_PATH="/usr/lib/sqlite-replication/pkgconfig" ./configure --prefix=/usr
+	make LDFLAGS="-L/usr/lib/sqlite-replication -Wl,-R/usr/lib/sqlite-replication"
+}
+
+check() {
+	cd "$pkgname-$pkgver"
+	make LDFLAGS="-L/usr/lib/sqlite-replication -Wl,-R/usr/lib/sqlite-replication" check || true
+}
+
+package() {
+	cd "$pkgname-$pkgver"
+	make DESTDIR="$pkgdir/" install
+	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}


More information about the arch-commits mailing list